org.eclipse.viatra.query.runtime.matchers.psystem.queries

## Enum PVisibility

- java.lang.Object
- - java.lang.Enum<PVisibility>
  - - org.eclipse.viatra.query.runtime.matchers.psystem.queries.PVisibility

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PVisibility>

      public enum PVisibility
      extends java.lang.Enum<PVisibility>

  Since:
    2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMBEDDED` A query that is only used inside a single caller query and is not visible outside its container query.
    `PRIVATE` A private query is not expected to be called directly, only by a different query matcher.
    `PUBLIC` A public (default) visibility means a pattern can be called at any time.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PVisibility` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PVisibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PUBLIC

          public static final PVisibility PUBLIC

      A public (default) visibility means a pattern can be called at any time.

    - #### PRIVATE

          public static final PVisibility PRIVATE

      A private query is not expected to be called directly, only by a different query matcher.

    - #### EMBEDDED

          public static final PVisibility EMBEDDED

      A query that is only used inside a single caller query and is not visible outside its container query. Such patterns must also fulfill the following additional constraints:
      - An embedded query must have only a single body.
      - An embedded query must not be recursice.

  - ### Method Detail

    - #### values

          public static PVisibility[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PVisibility c : PVisibility.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PVisibility valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null